How to fix npm ERR! typeerror Error: Missing required argument #1

CyberHour

Administrator
Staff member
Hello friends,

We have receive some requests to write a guild how to fix NPM error " Missing required argument #1.

Now, before we show the steps would like to explain why is this error showing?
The error npm ERR! typeerror Error: Missing required arguments #1 is an error that basically is telling us that the current nodejs is outdated.

How to update npm?

Update nodejs to latest version:


1) sudo npm install -g n
2) sudo n latest
3) sudo npm install -g npm
4) hash -d npm
5) npm i

That should fix your npm install error issue.

Did it work for you? Let us know!
 
Top